// -*-c++-*-

/*!
  \file ball_panel.h
  \brief ball info panel class Header File.
*/

/*
 *Copyright:

 Copyright (C) Hidehisa AKIYAMA

 This code is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This code is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this code; see the file COPYING.  If not, write to
 the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#ifndef SOCCER_WINDOW2_BALL_PANEL_H
#define SOCCER_WINDOW2_BALL_PANEL_H

#include <boost/any.hpp>

class MainData;

//! ball info panel
class BallPanel
    : public wxPanel {
private:

    const MainData & M_data;

    wxStaticText * M_pos;
    wxStaticText * M_vel;
    wxStaticText * M_polar;

    //! not used
    BallPanel();
    //! not used
    BallPanel( const BallPanel & );
    //! not used
    BallPanel & operator=( const BallPanel & );
public:
    //! constructor
    BallPanel( wxWindow * parent,
               const MainData & data );

    ~BallPanel();

    void update();

};

#endif
