// -*-c++-*-

/*!
  \file detail_dialog.h
  \brief Detail info Dialog class Header File.
*/

/*
 *Copyright:

 Copyright (C) Hidehisa AKIYAMA

 This code is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This code is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this code; see the file COPYING.  If not, write to
 the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#ifndef SOCCERWINDOW2_DETAIL_DIALOG_H
#define SOCCERWINDOW2_DETAIL_DIALOG_H

class BallPanel;
class MainData;
class MainFrame;
class PlayerPanel;

//! movable objects detail info dialog
class DetailDialog
    : public wxDialog {
private:

    MainFrame * M_main_frame;

    BallPanel * M_ball_panel;
    PlayerPanel * M_player_panel;

public:
    //! constructor
    DetailDialog( wxWindow * parent,
                  MainFrame * main_frame,
                  const MainData & data );

    ~DetailDialog()
      {
          //std::cerr << "delete DetailDialog" << std::endl;
      }


    //! override
    bool Show( bool show = true );

    void update();

};

#endif
