// -*-c++-*-

/*!
  \file player_type_grid.h
  \brief Player Type List Grid class Header File.
*/

/*
 *Copyright:

 Copyright (C) Hidehisa AKIYAMA

 This code is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This code is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this code; see the file COPYING.  If not, write to
 the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#ifndef SOCCERWINDOW2_PLAYER_TYPE_GRID_H
#define SOCCERWINDOW2_PLAYER_TYPE_GRID_H

//! table of hetero player parameters
class PlayerTypeGrid
    : public wxGrid {
private:


public:
    explicit
    PlayerTypeGrid( wxWindow * parent );

    ~PlayerTypeGrid();

    void setValues( const std::vector< rcsc::PlayerType > & player_types );

private:
    void createCells();
    void createLabels();

};

#endif
